[Ubuntu 14.04.3] libvpd package update

Bug #1461558 reported by bugproxy on 2015-06-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libvpd (Ubuntu)
Medium
Mathieu Trudel-Lapierre
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

libvpd package update:

libvpd package provides APIs to access the VPD (Vital Product Data) database created by the vpdupdate tool from lsvpd. This library is used by the higher-level serviceability tools to parse the VPD data.

Patches required for 14.04.3 release:

== Comment: #5 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:26:13 ==
commit 3173536cbe71f72274b2e9c265c390ad0c86f77d
Author: Janani <email address hidden>
Date: Wed Jan 28 12:00:08 2015 +0530

    vpdupdate: Fixes syntax error bug on LE

    [root@ltcbrazos2-lp12 home]# vpdupdate
    sh: -c: line 1: syntax error: unexpected end of file

    Some junk characters get introduced as parameters in the iprconfig command line.
    This causes the unexpected end of file error. We clear out the string before
    assigning it, in order to clear the junk.

Revision history for this message
bugproxy (bugproxy) wrote : vpdupdate: Fixes syntax error bug on LE

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-124144 severity-high targetmilestone-inin14043
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1461558/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Steve Langasek (vorlon) on 2015-06-03
Changed in ubuntu:
milestone: none → ubuntu-14.04.3
assignee: nobody → Adam Conrad (adconrad)
Adam Conrad (adconrad) on 2015-07-31
affects: ubuntu → libvpd (Ubuntu)
Changed in libvpd (Ubuntu):
assignee: Adam Conrad (adconrad) → Mathieu Trudel-Lapierre (mathieu-tl)
status: New → In Progress
importance: Undecided → Medium
Revision history for this message
Adam Conrad (adconrad) wrote : Please test proposed package

Hello bugproxy, or anyone else affected,

Accepted libvpd into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libvpd/2.2.4-0ubuntu2~15.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libvpd (Ubuntu Vivid):
status: New → Fix Committed
tags: added: verification-needed
Changed in libvpd (Ubuntu Trusty):
status: New → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello bugproxy, or anyone else affected,

Accepted libvpd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libvpd/2.2.4-0ubuntu2~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) on 2015-08-05
Changed in libvpd (Ubuntu):
status: In Progress → Fix Committed
tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvpd - 2.2.4-0ubuntu2

---------------
libvpd (2.2.4-0ubuntu2) wily; urgency=medium

  * debian/patches/0001-vpdupdate-Fixes-syntax-error-bug-on-LE.patch: fix
    syntax errors introduced to vpdupdate. (LP: #1461558)

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 04 Aug 2015 17:02:56 -0400

Changed in libvpd (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvpd - 2.2.4-0ubuntu2~14.04

---------------
libvpd (2.2.4-0ubuntu2~14.04) trusty; urgency=medium

  * debian/patches/0001-vpdupdate-Fixes-syntax-error-bug-on-LE.patch: fix
    syntax errors introduced to vpdupdate. (LP: #1461558)

libvpd (2.2.4-0ubuntu1) utopic; urgency=medium

  * New upstream release, with build system fixes (LP: #1357480)
  * Drop 000_remove_changelog, which was incorporated upstream.
  * Stop trying to install NEWS file that upstream doesn't ship.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 04 Aug 2015 17:02:56 -0400

Changed in libvpd (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of the Stable Release Update for libvpd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvpd - 2.2.4-0ubuntu2~15.04

---------------
libvpd (2.2.4-0ubuntu2~15.04) vivid; urgency=medium

  * debian/patches/0001-vpdupdate-Fixes-syntax-error-bug-on-LE.patch: fix
    syntax errors introduced to vpdupdate. (LP: #1461558)

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 04 Aug 2015 17:02:56 -0400

Changed in libvpd (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints